package gol

import (
	"time"
)

type Configuration struct {
	Stdout struct {
		Level string `yaml:"level"`
	} `yaml:"console"`
	File struct {
		Enabled    bool   `yaml:"enabled"`
		Level      string `yaml:"level"`
		Filename   string `yaml:"filename"`
		MaxSize    int    `yaml:"maxsize"`
		MaxAge     int    `yaml:"maxage"`
		MaxBackups int    `yaml:"maxbackups"`
		LocalTime  bool   `yaml:"localtime"`
		Compress   bool   `yaml:"compress"`
	}
	Sentry struct {
		Level   string        `yaml:"level"`
		DSN     string        `yaml:"dsn"`
		Timeout time.Duration `yaml:"timeout"`
	} `yaml:"sentry"`
}
